/**
 * Introduction
 *
 * @title ROV - Easy applications from C
 *
 * @copyright Jason Tribbeck / 7th ARM 1994-2001
 *
 * @authors Jason Tribbeck
 *
 * @file ro35error.h
 *
 * @type helper
 *
 * @description
 *
 * This provides an interface to the RISC OS 3.5+ error
 * boxes.
 */

#ifndef __rov_ro35error
#define __rov_ro35error


#ifdef __cplusplus
extern "C"
{
#endif

#ifndef __rov_main
#include "main.h"
#endif

/**
 * Produce error box.
 * @param buttons pointer to buttons.
 * @param mode error box mode.
 * @param spr_name the sprite name.
 * @param text printf-style string.
 * @param ... optional parameters for printf.
 * @return button pressed.
 * @see Error modes
 */
int ro35error_errorbox(char *buttons,
		       int mode,
		       char *spr_name,
		       char *text,
		       ...);

/**
 * @section Error modes
 */
#define RO35ERROR_UNCLASSIFIED	(0)
#define RO35ERROR_INFORMATION	(1)
#define RO35ERROR_ERROR		(2)
#define RO35ERROR_PROGRAM	(3)
#define RO35ERROR_QUESTION	(4)


#ifdef __cplusplus
}
#endif

#endif
